package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.Location;
import me.km.api.Utils;
import me.km.effects.EffectBlockChanger;
import me.km.effects.ActiveEffectBase;
import me.km.effects.passive.TrapEffects;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.Blocks;
import net.minecraft.util.math.BlockPos;

public class VineTrap extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        BlockPos l = Utils.getTargetBlock(p, power + 7).add(0, 1, 0);
        EffectBlockChanger list = new EffectBlockChanger(p.world);
        list.addBlock(l, Blocks.LOG, 1);
        list.addBlock(l.add(1, 0, 0), Blocks.VINE, 4);
        list.addBlock(l.add(-1, 0, 0), Blocks.VINE, 1);
        list.addBlock(l.add(0, 0, 1), Blocks.VINE, 8);
        list.addBlock(l.add(0, 0, -1), Blocks.VINE, 2);      
        list.run(160);
        TrapEffects.addVineTrap(new Location(p.world, l), KajetansMod.playerbank.getGuildId(p), 160);
        return true;
    }
}
