package me.km.effects.passive;

import me.km.KajetansMod;
import me.km.api.Module;
import me.km.api.ModuleListener;
import me.km.api.Utils;
import me.km.effects.Effect;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraftforge.event.entity.living.LivingEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

public class PlayerJumpEvent extends ModuleListener
{
    public PlayerJumpEvent(Module m) 
    {
        super(m);
    }
    
    @SubscribeEvent
    public void onPlayerFall(LivingEvent.LivingJumpEvent e)
    {         
        if(KajetansMod.worldManager.getWorldPreferences(e.getEntityLiving().world).skills && 
                e.getEntityLiving() instanceof EntityPlayerMP)
        {
            EntityPlayerMP p = (EntityPlayerMP) e.getEntityLiving();
            int bonus = EffectUtils.getEffectLevel(p, Effect.JUMP_BONUS);
            if(bonus > 0)
            {
                Utils.setVelocity(p, p.motionX, p.motionY * (1 + bonus / 10d), p.motionZ);
            }
        }
    }
}
